/* Start https://www.cursors-4u.com */
* {
  cursor:
    url(https://cur.cursors-4u.net/toons/too-5/too415.cur), auto !important;
} /* End https://www.cursors-4u.com */

* {
  --text: #0000b5;
  --bo
  --accent: teal;
  --bg: #f4a060;
  --gradientTop: #fffeb0;
  --gradientBottom: #ffdb37;
}

/* end dark mode styling */

* {
  box-sizing: border-box;
}

body {
  padding: 10px;
  font-family: "Overpass Mono", sans-serif;
  font-size: 12pt;

  /* page background pattern */

  background-image: url("https://holdshelf.neocities.org/images/tile_background.png");
  background-size: 400px;
  background-position:
    0 0,
    0 0,
    10px 18px,
    10px 18px,
    0 0,
    10px 18px;
}

.container {
  max-width: 55rem;
  margin: 5vw auto 12px auto;
  border: 6px ridge var(--border);
  outline: 3px solid var(--gradientTop);
  outline-offset: 4px;
  border-radius: 10px;
  display: flex;
  flex-wrap: wrap;
  padding: 5px;
  gap: 5px;

  /* container background pattern */
  background-color: var(--gradientBottom);
}

.small {
  flex: 1 1 9%;
}
.large {
  flex: 1 1 82%;
}
.full {
  flex: 1 1 100%;
}
.half {
  flex: 1 1 49%;
}

header {
  background-size: cover;
  background-position: center;
  background-image: url(https://files.catbox.moe/laqytv.JPG);
  width: 100%;
  height: 200px; /* change banner height here*/
  border: 2px ridge var(--border);
  border-radius: 5px;
  position: relative;
}

nav {
  border: 2px ridge var(--border);
  border-radius: 5px;
  padding: 5px;
  background: linear-gradient(var(--gradientTop), var(--gradientBottom));
}
nav div {
  text-align: center;
  font-size: 1.5rem;
  margin: 5px 5px 10px 5px;
}
nav a {
  display: block;
  margin: 5px;
  background: linear-gradient(to right, var(--bg), var(--gradientBottom));
  border-radius: 5px;
  padding: 2px 7px;
  text-decoration: none;
}
nav a:link,
nav a:visited {
  color: var(--text);
}
nav a:hover,
nav a:focus {
  background: linear-gradient(
    to right,
    var(--bg),
    var(--gradientBottom),
    var(--gradientTop)
  );
}

/* optional button styling like in the preview */
div.small > img {
  display: block;
  margin: 5px auto;
  border: 2px ridge var(--border);
  border-radius: 5px;
}

div.seasonal > img {
  display: flexbox;
}

.changelog {
  display: block;
  margin: 5px auto;
  border: 2px ridge var(--border);
  border-radius: 5px;
  background-color: #fffeb0;
  max-height: 150px;
  overflow: scroll;
}

section {
  border: 2px ridge var(--border);
  border-radius: 5px;
  background: linear-gradient(var(--gradientTop), var(--gradientBottom));
  padding: 5px;
}

footer {
  font-size: 1rem;
  bottom: 20px;
  width: 100%; /*makes the width of the div the whole page*/
  text-align: center; /*centers the text within the div which is now the width of the page*/
  font-style: italic;
  background-color: rgba(255, 138, 241, 0.479);
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
  margin: 5px;
  line-height: 1.2;
}
h1 {
  font-size: 1.5rem;
  letter-spacing: 2px;
  font-weight: normal;
  text-align: center;
  border-bottom: 2px ridge var(--border);
  padding-bottom: 5px;
}
h2 {
  font-size: 1.25rem;
  font-weight: normal;
  text-align: center;
}
h3 {
  font-size: 1.1rem;
}
h4 {
  font-size: 1rem;
  color: var(--accent);
  padding-left: 12px;
}

/* prevents overflow on smaller screens */
img {
  max-width: 100%;
}
pre {
  overflow-x: auto;
}

a:hover,
a:focus {
  font-style: italic;
}
a:visited {
  color: var(--accent);
}
